## GESMetaContainer GESMetaContainer — An interface for storing meta |

## Functions

void | (*GESMetaForeachFunc) ()
GType | ges_meta_container_get_type ()

## Signals

void | notify-meta | No Hooks

## Types and Values

| GESMetaContainer
#define | GES_META_FORMATTER_NAME
#define | GES_META_FORMATTER_MIMETYPE
#define | GES_META_FORMATTER_EXTENSION
#define | GES_META_FORMATTER_VERSION
#define | GES_META_FORMATTER_RANK
#define | GES_META_DESCRIPTION
#define | GES_META_FORMAT_VERSION

## Object Hierarchy

        GInterface
        ╰── GESMetaContainer

## Prerequisites

GESMetaContainer requires GObject.

## Known Implementations

GESMetaContainer is implemented by GESAsset, GESAudioSource, GESAudioTestSource, GESAudioTransition, GESAudioUriSource, GESBaseEffect, GESBaseEffectClip, GESBaseTransitionClip, GESClip, GESClipAsset, GESContainer, GESEffect, GESEffectClip, GESGroup, GESImageSource, GESLayer, GESMultiFileSource, GESOperation, GESOperationClip, GESOverlayClip, GESProject, GESSource, GESSourceClip, GESTestClip, GESTextOverlay, GESTextOverlayClip, GESTimeline, GESTimelineElement, GESTitleClip, GESTitleSource, GESTrack, GESTrackElement, GESTrackElementAsset, GESTransition, GESTransitionClip, GESUriClip, GESUriClipAsset, GESUriSourceAsset, GESVideoSource, GESVideoTestSource, GESVideoTransition and GESVideoUriSource.

## Includes

    #include <ges/ges.h>

## Description

Interface that allows reading and writing meta

## Functions

### GESMetaForeachFunc ()

    void
    (*GESMetaForeachFunc) (const GESMetaContainer *container,
                           const gchar *key,
                           const GValue *value,
                           gpointer user_data);

### ges_meta_container_get_type ()

    GType
    ges_meta_container_get_type (void);

## Types and Values

### GESMetaContainer

    typedef struct _GESMetaContainer GESMetaContainer;

### GES_META_FORMATTER_NAME

    #define GES_META_FORMATTER_NAME                       "name"

Name of a formatter it is used as ID of Formater assets (string)

The name of the formatter

### GES_META_FORMATTER_MIMETYPE

    #define GES_META_FORMATTER_MIMETYPE                   "mimetype"

Mimetype used for the file produced by a formatter (string)

The mime type

### GES_META_FORMATTER_EXTENSION

    #define GES_META_FORMATTER_EXTENSION                  "extension"

The extension of the files produced by a formatter (string)

### GES_META_FORMATTER_VERSION

    #define GES_META_FORMATTER_VERSION                    "version"

The version of a formatter (double)

The formatter version

### GES_META_FORMATTER_RANK

    #define GES_META_FORMATTER_RANK                       "rank"

The rank of a formatter (GstRank)

The rank of a formatter

### GES_META_DESCRIPTION

    #define GES_META_DESCRIPTION                         "description"

The description of an object, can be used in various context (string)

The description

### GES_META_FORMAT_VERSION

    #define GES_META_FORMAT_VERSION                       "format-version"

The version of the format in which a project is serialized

## Signal Details

### The `“notify-meta”` signal

    void
    user_function (GESMetaContainer *gesmetacontainer,
                   gchar            *arg1,
                   GValue           *arg2,
                   gpointer          user_data)

Flags: No Hooks